// swift-tools-version:5.9
import PackageDescription

let package = Package(
    name: "linphonesw",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        .library(
            name: "linphonesw",
            targets: ["linphonesw"]
        )
    ],
    targets: [
        
			.binaryTarget(
				name: "bctoolbox-ios",
				path: "XCFrameworks/bctoolbox-ios.xcframework.zip"
			),
			
			.binaryTarget(
				name: "bctoolbox-tester",
				path: "XCFrameworks/bctoolbox-tester.xcframework.zip"
			),
			
			.binaryTarget(
				name: "bctoolbox",
				path: "XCFrameworks/bctoolbox.xcframework.zip"
			),
			
			.binaryTarget(
				name: "belle-sip",
				path: "XCFrameworks/belle-sip.xcframework.zip"
			),
			
			.binaryTarget(
				name: "belr",
				path: "XCFrameworks/belr.xcframework.zip"
			),
			
			.binaryTarget(
				name: "linphone",
				path: "XCFrameworks/linphone.xcframework.zip"
			),
			
			.binaryTarget(
				name: "linphonetester",
				path: "XCFrameworks/linphonetester.xcframework.zip"
			),
			
			.binaryTarget(
				name: "mbedcrypto",
				path: "XCFrameworks/mbedcrypto.xcframework.zip"
			),
			
			.binaryTarget(
				name: "mbedtls",
				path: "XCFrameworks/mbedtls.xcframework.zip"
			),
			
			.binaryTarget(
				name: "mbedx509",
				path: "XCFrameworks/mbedx509.xcframework.zip"
			),
			
			.binaryTarget(
				name: "mediastreamer2",
				path: "XCFrameworks/mediastreamer2.xcframework.zip"
			),
			
			.binaryTarget(
				name: "msamr",
				path: "XCFrameworks/msamr.xcframework.zip"
			),
			
			.binaryTarget(
				name: "mscodec2",
				path: "XCFrameworks/mscodec2.xcframework.zip"
			),
			
			.binaryTarget(
				name: "msopenh264",
				path: "XCFrameworks/msopenh264.xcframework.zip"
			),
			
			.binaryTarget(
				name: "ortp",
				path: "XCFrameworks/ortp.xcframework.zip"
			),
			
		.target(
			name: "linphonexcframeworks",
			dependencies: ["bctoolbox-ios", "bctoolbox-tester", "bctoolbox", "belle-sip", "belr", "linphone", "linphonetester", "mbedcrypto", "mbedtls", "mbedx509", "mediastreamer2", "msamr", "mscodec2", "msopenh264", "ortp"]
		),

		.target(
			name: "linphonesw",
			dependencies: ["linphonexcframeworks"]
		)
    ]
)

